# List categories visible to this user

Only available to Buyer Users.

Endpoint: GET /me/categories
Version: 1.0.457.36910
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2 scopes: FullAccess, Shopper

## Query parameters:

  - `depth` (string)
    Indicates how deep down the hierarchy to return results. Valid values are a number of 1 or greater, or 'all'. Relative to ParentID if specified. Default is 1.

  - `catalogID` (string)
    The user’s default CatalogID will be used to return categories if you do not pass another CatalogID explicitly. Listing categories across multiple catalogs is not supported.

  - `productID` (string)
    ID of the product.

  - `search` (string)
    Word or phrase to search for.

  - `searchOn` (array)
    Comma-delimited list of fields to search on.

  - `sortBy` (array)
    Comma-delimited list of fields to sort by.

  - `page` (integer)
    Page of results to return. When paginating through many items (> page 30), we recommend the "Last ID" method, as outlined in the Advanced Querying documentation.

  - `pageSize` (integer)
    Number of results to return per page.

  - `filters` (object)
    An object or dictionary representing key/value pairs to apply as filters. Valid keys are top-level properties of the returned model or 'xp.???'

## Response 200:

  - `200` (unknown)
    Only available to Buyer Users.

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.ID` (string)

  - `Items.Name` (string)

  - `Items.Description` (string)

  - `Items.ListOrder` (integer)
    Order that the category appears within its parent or catalog (if root level).

  - `Items.Active` (boolean)
    If false, buyers cannot see this category or any categories or products under it.

  - `Items.ParentID` (string)
    ID of the parent category.

  - `Items.ChildCount` (integer)
    Number of categories that are *immediate* children of this category.

  - `Items.xp` (object)

  - `Meta` (object)

  - `Meta.Page` (integer)

  - `Meta.PageSize` (integer)

  - `Meta.TotalCount` (integer)

  - `Meta.TotalPages` (integer)

  - `Meta.ItemRange` (array)

  - `Meta.NextPageKey` (string)

## Response 4XX:

  - `4XX` (unknown)
    Expected errors range from 400-409. Anything in the 5XX range indicates a server issue and should be reported to support.

## Response 4XX fields (application/json):

  - `StatusCode` (integer)
    Example: 404

  - `ErrorCode` (string)
    Example: NotFoundError

  - `Message` (string)
    Example: Object not found

  - `Data` (object)
    Example: {"ObjectType":"","ObjectID":""}

